Foxit PDF Conversion SDK

Public Attributes | List of all members
FXMEM_Debugger Struct Reference
FXCRT

Memory debugger interface. All functions must be implemented. More...

## Public Attributes
void(* | OnAlloc )(FXMEM_FoxitMgr *pMgr, void *p, size_t size, int flags)
| A pointer type to an allocation-callback function. More...
void(* | OnAllocDebug )(FXMEM_FoxitMgr *pMgr, void *p, size_t size, int flags, FX_LPCSTR file, int line)
| A pointer type to a debug-mode allocation-callback function. More...
void(* | OnFree )(FXMEM_FoxitMgr *pMgr, void *p, int flags)
| A pointer type to a free-callback function. More...
void(* | OnRealloc )(FXMEM_FoxitMgr *pMgr, void *old_p, void *new_p, size_t size, int flags)
| A pointer type to a reallocation-callback function. More...
void(* | OnReallocDebug )(FXMEM_FoxitMgr *pMgr, void *old_p, void *new_p, size_t size, int flags, FX_LPCSTR file, int line)
| A pointer type to a debug-mode reallocation-callback function. More...
void(* | OnTag )(FXMEM_FoxitMgr *pMgr, FX_LPCSTR tag)
| A pointer type to a tag-callback function. More...

## Detailed Description

Memory debugger interface. All functions must be implemented.

## Member Data Documentation

## ◆ OnAlloc

void(* FXMEM_Debugger::OnAlloc) (FXMEM_FoxitMgr *pMgr, void *p, size_t size, int flags)

A pointer type to an allocation-callback function.

The function prototype is:
void OnAlloc(FXMEM_FoxitMgr* pMgr, void* p, size_t size, int flags);

Parameters

  [in] | pMgr | A pointer to a FXMEM_FoxitMgr object.
  [in] | p | Address of the allocated memory block.
  [in] | size | The size in bytes allocated.
  [in] | flags | Memory allocation attributes.

Returns
  None.

## ◆ OnAllocDebug

void(* FXMEM_Debugger::OnAllocDebug) (FXMEM_FoxitMgr *pMgr, void *p, size_t size, int flags, FX_LPCSTR file, int line)

A pointer type to a debug-mode allocation-callback function.

The function prototype is:
void OnAllocDebug(FXMEM_FoxitMgr* pMgr, void* p, size_t size, int flags, FX_LPCSTR file, int line);

Parameters

  [in] | pMgr | A pointer to a FXMEM_FoxitMgr object.
  [in] | p | Address of the allocated memory block.
  [in] | size | The size in bytes allocated.
  [in] | flags | Memory allocation attributes.
  [in] | file | The name of the current source file.
  [in] | line | The line number in the current source file.

Returns
  None.

## ◆ OnFree

void(* FXMEM_Debugger::OnFree) (FXMEM_FoxitMgr *pMgr, void *p, int flags)

A pointer type to a free-callback function.

The function prototype is:
void OnFree(FXMEM_FoxitMgr* pMgr, void* p, int flags);

Parameters

  [in] | pMgr | A pointer to a FXMEM_FoxitMgr object.
  [in] | p | Address of the memory block to be freed.
  [in] | flags | Memory allocation attributes.

Returns
  None.

## ◆ OnRealloc

void(* FXMEM_Debugger::OnRealloc) (FXMEM_FoxitMgr *pMgr, void *old_p, void *new_p, size_t size, int flags)

A pointer type to a reallocation-callback function.

The function prototype is:
void OnRealloc(FXMEM_FoxitMgr* pMgr, void* old_p, void* new_p, size_t size, int flags);

Parameters

  [in] | pMgr | A pointer to a FXMEM_FoxitMgr object.
  [in] | old_p | Address of the old memory block.
  [in] | new_p | Address of the new memory block.
  [in] | size | The size in bytes reallocated.
  [in] | flags | Memory allocation attributes.

Returns
  None.

## ◆ OnReallocDebug

void(* FXMEM_Debugger::OnReallocDebug) (FXMEM_FoxitMgr *pMgr, void *old_p, void *new_p, size_t size, int flags, FX_LPCSTR file, int line)

A pointer type to a debug-mode reallocation-callback function.

The function prototype is:
void OnReallocDebug(FXMEM_FoxitMgr* pMgr, void* old_p, void* new_p, size_t size, int flags, FX_LPCSTR file, int line);

Parameters

  [in] | pMgr | A pointer to a FXMEM_FoxitMgr object.
  [in] | old_p | Address of the old memory block.
  [in] | new_p | Address of the new memory block.
  [in] | size | The size in bytes reallocated.
  [in] | flags | Memory allocation attributes.
  [in] | file | The name of the current source file.
  [in] | line | The line number in the current source file.

Returns
  None.

## ◆ OnTag

void(* FXMEM_Debugger::OnTag) (FXMEM_FoxitMgr *pMgr, FX_LPCSTR tag)

A pointer type to a tag-callback function.

The function prototype is:
void OnTag(FXMEM_FoxitMgr* pMgr, FX_LPCSTR tag);

Parameters

  [in] | pMgr | A pointer to a FXMEM_FoxitMgr object.
  [in] | tag | Tag string.

Returns
  None.